Subject: Re: bug#16439: [feature request] Highlighting of strings within Info buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jan 2014 17:42:02 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 22 Jan 2014 10:09:19 +0200
> 
> > I agree, and didn't say anything to the contrary.  I told about the
> > slant typeface as an evidence that what came out of @dfn should be
> > emphasized in some way.
> 
> I don't understand the difference between using @dfn and double quotes,
> e.g. why in the source of the chapter "The Organization of the Screen":
> 
>     The main area of the frame, below the tool bar (if one exists) and
>   above the echo area, is called @dfn{the window}.  Henceforth in this
>   manual, we will use the word ``window'' in this sense.
> 
> the different styles are used for @dfn{the window} and ``window''?

The former is terminology, the latter is just a word.

> But if both were written in the Info output using DOUBLE QUOTATION MARK
> as “window”, then in the Info browser we could emphasize such terms
> using the slant typeface and put invisible properties on quote characters.

That should be OK, I think.

> Then if code blocks such as e.g. in @code{("/foo" "/bar" @dots{})}
> were written using simple quotation marks e.g. ("/foo" "/bar" …)
> then it would make sense to highlight quoted strings in Info
> in code samples using `font-lock-string-face'.

That'd be OK as well, IMO.

> This problem doesn't exist in HTML output that keeps all different source
> styles unambiguous, e.g.:

HTML is a markup language, Info is not.